+++ /dev/null
-#!/bin/bash
-
-set -e
-
-if [[ $# -eq 0 ]] || [[ $1 == "-h" ]] ; then
- echo "Usage: ${0##*/} <dir to import> [more dirs]"
- exit 1
-fi
-
-dir=$1
-if [[ ! -e ${dir} ]] ; then
- echo "cvs-import: $1: directory does not exist" 1>&2
- exit 1
-fi
-dir=$(realpath "${dir}")
-
-echo "Importing ${dir} and kids"
-cd "${dir}/.."
-cvs -Q add "${dir##*/}"
-
-find_files() {
- local depth=$1
- shift
- find . -mindepth ${depth} -maxdepth ${depth} \
- '!' '(' -name 'CVS' -o -wholename '*/CVS/*' ')' "$@"
-}
-
-cd "${dir}"
-i=1
-while [[ -n $(find_files ${i}) ]] ; do
- echo "Importing at depth ${i}"
- find_files ${i} -exec cvs -Q add {} +
- : $(( i += 1 ))
-done
-
-echo "Done"
+++ /dev/null
-#!/bin/bash
-
-# get "er" shortcut
-source ~/.profile.d/gentoo.sh
-
-cmd=""
-case $1 in
- -u|--unpack) cmd="unpack";;
- -*) echo "error: uknown option $1"; exit 1;;
-esac
-
-src=${1%.ebuild}.ebuild ; shift
-dst=${1%.ebuild}.ebuild ; shift
-
-set -e
-
-if [[ ! -e $src ]] ; then
- echo "source ebuild not found '$src'" 1>&2
- exit 1
-fi
-
-cp $src $dst
-
-case $cmd in
- u|unpack) commands="clean setup unpack" ;;
- *) commands="manifest clean setup unpack compile install" ;;
-esac
-
-ekeyword ~all $dst
-
-ebuild $dst $commands
-
-cvs add $dst
-
-if [[ -z $* ]] ; then
- er 'Version bump.'
-else
- er "Version bump $*."
-fi
+++ /dev/null
-#!/bin/bash
-
-. ~/.profile.d/gentoo.sh
-. ~/.profile.d/aliases.sh
-
-op=${0##*/}
-ops=( ${op//-/ } )
-op=${ops[0]}
-[[ ${op} == "er" ]] && op+=" -q"
-tdir="${HOME}/.cache/bugz"
-mkdir -p "${tdir}"
-find "${tdir}" -mmin +30 -type f -delete
-
-usage() {
- cat <<-EOF
- Usage: ${0##*/} <bugid> <reason> [<bugid> <reason> ...]
- EOF
- if [[ $# -gt 0 ]] ; then
- printf '\nerror: %s\n' "$*"
- fi
- exit
-}
-
-bugs=()
-comments=()
-cl_msg=
-while [[ $# -ne 0 ]] ; do
- bug=$1
- reason=$2
- shift 2 || usage "invalid args"
-
- if [[ -z ${bug} || -n ${bug//[0-9#]} ]] ; then
- usage "invalid bug"
- fi
-
- case ${bug} in
- *#*) c=${bug##*#} ;;
- *) c=0 ;;
- esac
- : $(( ++c ))
- b=${bug%%#*}
- bugs=( "${bugs[@]}" ${b} )
- comments=( "${comments[@]}" "${reason}" )
-
- xml="${tdir}/${b}.xml"
- # server doesn't support timestamps, so cannot use -N
- if [[ ! -s $xml ]] ; then
- wget -q -O $xml https://bugs.gentoo.org/${b}?ctype=xml
- fi
- name=$(xml sel -E utf8 -t -m bugzilla/bug/long_desc -c who -n $xml | \
- head -${c} | tail -1 | grep -o 'name=".*">' | cut -d\" -f2)
- if [[ -z ${name} ]] ; then
- name=$(xml sel -E utf8 -t -m bugzilla/bug/long_desc -v who -n $xml | \
- head -${c} | tail -1 | cut -d@ -f1)
- fi
- new_name=$(echo "${name}" | scrub_html | sed "s: [(\"'][^()\"']*[)\"']::g")
- if [[ ${new_name} != "${name}" ]] ; then
- echo "Normalizing '${name}' to '${new_name}'"
- name=${new_name}
- fi
-
- if [[ -n ${cl_msg} ]] ; then
- cl_msg+=" "
- fi
- cl_msg+="${reason} #${bug} by ${name}."
-done
-
-run() {
- local opt=$1; shift
- printf "'%s' " "$@"
- echo
- case $opt in
- -g) "$@" ;;
- esac
-}
-
-doit() {
- run "$@" $op "${cl_msg}" || exit 1
- echo
- for (( n=0; n < ${#bugs[@]}; ++n )) ; do
- b=${bugs[$n]}
- c=${comments[$n]}
- local msg="Commit message: $c$(printf '\n%s' ${urls})"
-
- case ${ops[1]} in
- close)
- run "$@" gbugz -q modify ${b} --fixed -c "\
-should be all set now in the tree; thanks for the report!
-
-${msg}"
- ;;
- comment)
- run "$@" gbugz -q modify ${b} -c "${msg}"
- ;;
- esac
- done
- echo
-}
-
-cvs=$(cvs up)
-files=$(echo "$cvs" | awk '$1 ~ /^[MA]/ { print $NF }' | grep -v '^Manifest$')
-unk_files=$(echo "$cvs" | awk '$1 !~ /^[MARU]/')
-if [[ -n ${unk_files} ]] ; then
- echo "unknown files:"
- echo "${unk_files}"
- exit 1
-fi
-urls=$(cvs_gentoo_url ${files} | LC_ALL=C sort -V)
-
-cmds=$(doit -p)
-echo
-echo "${cmds}"
-printf "\nOk to go? [Y/n/e] "
-read g
-case ${g} in
- e)
- t=$(mktemp)
- echo "${cmds}" > "${t}"
- ${EDITOR:-nano} "${t}" || rm "${t}"
- set -e
- . "${t}"
- rm "${t}"
- ;;
- ""|y)
- echo
- doit -g
- ;;
- *)
- exit 1
- ;;
-esac